Subject: Re: linux-next: build warning after merge of the origin tree

From: Akira Yokosawa <[email-masked]>
Date: Wed, 22 Jan 2025 19:00:43 +0900

[+CC: linux-doc]

Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next build (htmldocs) produced this warning:
> 
> Documentation/power/video.rst:213: WARNING: Footnote [#] is not referenced. [ref.footnote]
> 
> This warning has presumably been there for a long time.
> 
> I don't know what causes it - maybe it needs a space before the opening
> bracket?

Stephen, fhve you upgraded your Sphinx recently?

In "Bugs Fixed" section of Sphinx 8.1.0 changelog [1], there is an item which
reads:

    - #12730: The UnreferencedFootnotesDetector transform has been improved
      to more consistently detect unreferenced footnotes. Note, the priority
      of the transform has been changed from 200 to 622, so that it now runs
      after the docutils Footnotes resolution transform. Patch by Chris Sewell.

So the above warning is real and prior versions of Sphinx just can't flag it.

To silence it, you need to get rid of the unreferenced footnote, I guess.

[1]: https://www.sphinx-doc.org/en/master/changes/8.1.html#id3

        HTH, Akira

> 
> Introduced by commit
> 
>   151f4e2bdc7a ("docs: power: convert docs to ReST and rename to *.rst")
> 
> from v5.3-rc1
> 
> I am just going over left over warnings in he documentation.
> 
> -- 
> Cheers,
> Stephen Rothwell